Bug 13753 - [new-ra] miscompilation with -fnew-ra on xCHM
Summary: [new-ra] miscompilation with -fnew-ra on xCHM
Status: RESOLVED WONTFIX
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: 3.3.2
: P3 normal
Target Milestone: 4.0.0
Assignee: Michael Matz
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks: 13246
  Show dependency treegraph
 
Reported: 2004-01-20 00:31 UTC by jvillavicencio@arnet.com.ar
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jvillavicencio@arnet.com.ar 2004-01-20 00:31:23 UTC
	Internal compiler error with the following report:
	g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../art  -I/usr/lib/wx/include/gtk2-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES  -O2 -fmove-all-movables -fnew-ra -finline-limit=600 -maccumulate-outgoing-args -minline-all-stringops -fprefetch-loop-arrays -mno-align-stringops -frename-registers -mfpmath=387 -march=athlon-xp -fomit-frame-pointer -pipe  -W -Wall -MT chmfile.o -MD -MP -MF ".deps/chmfile.Tpo"
	bitfiddle.inl: In function `u_int64_t sr_int(unsigned char*, int*, unsigned
	char, unsigned char, size_t&)':
	bitfiddle.inl:148: internal compiler error: in reloads_to_loads, at
	ra-rewrite.c:1068
	Please submit a full bug report,
	with preprocessed source if appropriate.
	(please don't care about the kernel version/patch, it's just my personal modification to make this radeon9800XT work with the framebuffer)

Environment:
System: Linux StrongHold 2.6.1-paya1 #2 Fri Jan 16 16:44:24 ART 2004 i686 AMD Athlon(tm) XP AuthenticAMD GNU/Linux
Architecture: i686

	
host: i686-pc-linux-gnu
build: i686-pc-linux-gnu
target: i686-pc-linux-gnu
configured with: /var/tmp/portage/gcc-3.3.2-r5/work/gcc-3.3.2/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/3.3 --includedir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/info --enable-shared --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu --with-system-zlib --enable-languages=c,c++,f77,objc --enable-threads=posix --enable-long-long --disable-checking --enable-cstdio=stdio --enable-clocale=generic --enable-__cxa_atexit --enable-version-specific-runtime-libs --with-gxx-include-dir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/include/g++-v3 --with-local-prefix=/usr/local --enable-shared --enable-nls --without-included-gettext --disable-multilib

How-To-Repeat:
	With this CFLAGS and the version of gcc, emerge xchm in gentoo.
	CFLAGS="-O2 -fmove-all-movables -fnew-ra -finline-limit=600 -maccumulate-outgoing-args -minline-all-stringops -fprefetch-loop-arrays -mno-align-stringops -frename-registers -mfpmath=387 -march=athlon-xp -fomit-frame-pointer -pipe"
Comment 1 jvillavicencio@arnet.com.ar 2004-01-20 00:31:23 UTC
Fix:
	remove -fnew-ra and it compiles perfectly.
Comment 2 Andrew Pinski 2004-01-20 00:34:35 UTC
-fnew-ra is not supported at all for 3.3.x or 3.4, this might get fixed for 3.5 though.
Comment 3 The gcc-bugs mailing list 2004-01-23 17:44:20 UTC
Suspending until either new-regalloc branch is merged to mainline, or bug is rechecked against 
new-regalloc branch.
Comment 4 Andrew Pinski 2005-01-17 15:17:05 UTC
Closing as wiill not fix as new-ra was removed from the mainline.